Welcome to the **Visual Identity** guide for the Kemoverse. This page contains the standard colors, logos, and graphic elements used across the game (cards, UI, web presence, bots, etc). Please follow these guidelines to ensure consistency.

---

## 🟢 Primary Color Palette

| Color Name     | Hex Code   | Usage                                |
|----------------|------------|--------------------------------------|
| Green  | `#5aa02c`  | Main buttons, links, headers         |
| Midnight Black | `#1A1A1A`  | Backgrounds, dark mode               |
| Misty White    | `#FAFAFA`  | Default backgrounds, light text bg  |
| Soft Gray      | `#CCCCCC`  | Borders, placeholders, separators   |
| Highlight Green | `#8dd35f`  | Alerts, emphasis, icons        |
| Rarity Gold    | `#FFD700`  | Special rare cards, SSR outlines    |
| Rarity Silver  | `#C0C0C0`  | Rare card text, stat glow effects   |

> ✅ Use `Green` and `Misty White` for the standard UI. Avoid mixing in extra palettes unless explicitly needed.

---

## 🖼 Logos

### Main Logo

<p align="center">
  <img src="../web/static/logo.png" alt="Fediverse Gacha Bot Logo" width="300" height="auto">
</p>

- File: `web/static/logo.png`
- Usage: Website header, favicon, bot avatar, watermark


---